Bug 435176 - gsftopk missing in texlive
gsftopk missing in texlive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 14:15 EST by Walter Neumann
Modified: 2013-07-02 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:13:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Walter Neumann 2008-02-27 14:15:14 EST
Description of problem:

Just updated to texlive in fc8. After update gsftopk is missing. It is called by
mktexpk which is in texlive.

(Sorry -- posted this in wrong place before)
Comment 1 Jindrich Novy 2008-02-28 05:52:31 EST
Confirmed. gsftopk is now packaged separately in texlive-utils, which contains
utilities that need to call ghostscript. If you or your package need to use
these utilities, please install texlive-utils as well. I will move mktexpk to
texlive-utils as well in the upcoming release.
Comment 2 Patrice Dumas 2008-02-28 07:07:22 EST
I am not completely convinced that shipping a crippled kpathsea is 
really right. At least we should put it in the kpathsea documentation.
Without mktexpk some latex package will certainly be non-functional,
for example I guess that some of latexsym,amssymb,amscd with ae requires 
a mktexpk call (a test from a document shows that a mktexpk call is
needed).

Maybe we should have texlive-latex depends on texlive-utils?
And kpathsea only requires texlive. That way packages requiring 
only kpathsea as a library won't have latex nor pk fonts, but still
can use kpathsea to search, for example type 1 fonts while 
installing latex brings in full dependencies, but also more 
insurance that documents won't break.
Comment 3 Walter Neumann 2008-02-28 10:16:48 EST
I think all the AMS fonts and standard latex fonts are now available (and
included) as postscript fonts. I havn't had TeX generate a pk font in ages (I
deal with other people's TeX files too). So separate package seems reasonable.
But the package description should mention metafont prominently. In fact, maybe
mf mktexpk and gsftopk (I thinks that is all) should be a separate
texlive-metafont package?
Metafont was once an integral part of TeX (and is still in the standard
directory name texmf) and it is still used, so it should be clear to find.
Comment 4 Patrice Dumas 2008-02-28 10:48:31 EST
The point is that mf is in the main texlive package, it is only
gsftopk (and as Jindrich proposed) mktexpk which would be in 
texlive-utils. Maybe we should keep mktexpk in texlive for metafont, 
leave only gsftopk in texlive-utils and have texlive-latex depend
on texlive-utils. In texlive-utils there is epstopdf which is used,
in my opinion, by many latex users anyway.

Once again I think that we should avoid the bloat brought in by
kpathsea and texlive, but having some bloat brought in by texlive-latex
is not an issue in my opinion.
Comment 5 Walter Neumann 2008-02-28 11:48:31 EST
I didn't find mf in the main texlive, but now I see it is there with the name
mf-nowin. Why the two versions, and why the one with a non-standard name in the
main package? 
Comment 6 Walter Neumann 2008-02-28 11:51:49 EST
Oops, sorry, should have read the man page. But if mf-nowin is in the main
texlive, then gsftopk and mktexpk should be too, since they are its reason for
being there.
Comment 7 Patrice Dumas 2008-02-28 12:22:51 EST
Unless I am missing something, mktexpk can use either mf-nowin followed
by gftopk if a .mf file is found, or gsftopk (and, reading the code it 
looks like there is another fallback to ttf2pk). So it seems fine to me
to have mf-nowin/gftopk and mktexpk in texlive, and gsftopk in
texlive-utils.

I personally see, as I said above, a call to mf in a document I generated 
recently (my phd thesis, written around 2003).
Comment 8 Bug Zapper 2008-05-14 01:40:23 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-06-09 19:38:36 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Patrice Dumas 2009-06-10 06:21:48 EDT
So, what about having mktexpk in main texlive?
Comment 11 Walter Neumann 2009-06-10 09:27:56 EDT
If the issue is bloat, note that gsftopk and mktexpk together are only about 80K. 
I still believe that they belong with mf-nowin, so should be in the main texlive package. They are rarely needed, since most people are now using standard LaTeX packages for which all fonts are already there, but they are sometimes needed in ordinary use, and when it happens the average user is not going to know where to look.

Not an issue for me personally -- I run TeX off a squashfs mount of the full texlive2008 iso and would erase the fedora packages if they were not dependencies for lots of other stuff.
Comment 12 Bug Zapper 2009-11-16 03:02:05 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-11-04 08:01:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-12-05 02:13:17 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.